Skip to navigation

Purchase additional envelopes (Reserved)

View as Markdown

Reserved: At this time, this endpoint is limited to DocuSign internal use only. Completes the purchase of envelopes for your account. The actual purchase is done as part of an internal workflow interaction with an envelope vendor.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

Request

This endpoint expects an object: purchasedEnvelopesInformation

amountstringOptional
The total amount of the purchase.
appNamestringOptional
The AppName of the client application.
currencyCodestringOptional
Specifies the ISO currency code of the purchase. This is based on the ISO 4217 currency code information.
platformstringOptional
The Platform of the client application
productIdstringOptional
The Product ID from the AppStore.
quantitystringOptional
The quantity of envelopes to add to the account.
receiptDatastringOptional
The encrypted Base64 encoded receipt data.
storeNamestringOptional
The name of the AppStore.
transactionIdstringOptional
Specifies the Transaction ID from the AppStore.

Response

Successful response.

Errors

400
Bad Request Error